<!--
  @File Name          : ajouterproj.html
  @Description        : 
  @Author             : ChangeMeIn@UserSettingsUnder.SFDoc
  @Group              : 
  @Last Modified By   : ChangeMeIn@UserSettingsUnder.SFDoc
  @Last Modified On   : 30/03/2020 à 11:38:17
  @Modification Log   : 
  Ver       Date            Author      		    Modification
  1.0    30/03/2020   ChangeMeIn@UserSettingsUnder.SFDoc     Initial Version
-->
<template>
    
    <lightning-button class="btt_ajouter" icon-name="utility:add" label="Ajouter projet" variant="brand" onclick={openmodal} ></lightning-button>
    

    <template if:true={openmodel}>
    <div class="demo-only"></div>
        <section role="dialog" tabindex="-1" aria-labelledby="modal-heading-01" aria-modal="true" aria-describedby="modal-content-id-1" class="slds-modal slds-fade-in-open">
            <div class="slds-modal__container">
                <header class="slds-modal__header">
                    <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModal}>
                        <lightning-icon icon-name="utility:close" size="medium">
                        </lightning-icon>
                        <span class="slds-assistive-text">Close</span>
                    </button>
                    <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate">Ajouter un projet</h2>
                </header>
                <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">
                  
<table>
                    <tr>
                      <td>
                        <p>nom de projet:</p>
                      </td>
                      <td>
                        <lightning-input type="text" label=" " value={ProjetRecord.Nom} onchange={handleNamechchange} placeholder="type here..."></lightning-input>
                      </td>
                    </tr>
                    <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                    <TR></TR>
                    <tr>
                      <td>
                        
                        <p>État de projet:</p>
                      </td>
                      <td>
                        <select name="Etat" id="Etat-select" >
                          <option value={ProjetRecord.Etat} onchange={handleetatchchange}> --Choisir  l'état de projet--</option>
                          <option value={ProjetRecord.Etat} onchange={handleetatchchange}>Nouveau</option>
                          <option value={ProjetRecord.Etat} onchange={handleetatchchange}>En Cours</option>
                          <option value={ProjetRecord.Etat} onchange={handleetatchchange}>Terminé</option>
                          <option value={ProjetRecord.Etat} onchange={handleetatchchange}>Annulé</option>
                      </select>
                      </td>
                    </tr>
                    <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                    <TR></TR>
                    <tr>
                      <td>
                        <p>Type:</p>
                      </td>
                      <td>
                        <lightning-input type="text" label=" " placeholder="type here..." value={ProjetRecord.type} onchange={handleTypechchange}></lightning-input>
                      </td>
                    </tr>
                    <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                    <TR></TR>
                    <tr>
                    <td>
                      <p>Catégorie:</p>
                    </td>
                    <td>
                      <select name="Catégorie" id="Catégorie-select">
                        <option value={ProjetRecord.Categories} onchange={handleCategorieschchange}>--Choisir une Catégorie de projet--</option>
                        <option value={ProjetRecord.Categories} onchange={handleCategorieschchange}>Salesforce</option>
                        <option value={ProjetRecord.Categories} onchange={handleCategorieschchange}>Big Data</option>
                    </select>
                    </td>
                  </tr>
                  <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                    
                    <tr>
                      <td>
                        <p>
                          
                        </p>
                      </td>
                      <td>
                        <div class="priorite" >
                        <lightning-progress-indicator value={ProjetRecord.prioriter} onchange={handleprioriterchchange}>
                          <lightning-progress-step label="1" value="1"></lightning-progress-step>
                          <lightning-progress-step label="2" value="2"></lightning-progress-step>
                          <lightning-progress-step label="3" value="3"></lightning-progress-step>
                      </lightning-progress-indicator>
                    </div>
                      </td>
                    </tr>
                    <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                      <TR></TR>
                  <tr>
                  <td>
                    <p>Date de début:</p>
                  </td>
                  <td>
                    <lightning-input type="date" name="input1" label=" " value={ProjetRecord.Date_Debut} onchange={handleDateDebutchchange}></lightning-input>
                  </td>
                </tr>
                <TR> <TD> <lightning-input type="hidden" label=" " placeholder="type here..."></lightning-input></TD></TR>
                    <TR></TR>
              <tr>
              <td>
                <p>Date de fin:</p>
              </td>
              <td>
                <lightning-input type="date" name="input2" label=" " value={ProjetRecord.Date_fin} onchange={handleDatefinchange}></lightning-input>
              </td>
            </tr>
                  </table>

                </div>
                <footer class="slds-modal__footer">
                    <lightning-button label="Annuler" variant="neutral" onclick={closeModal}></lightning-button>&nbsp;&nbsp;&nbsp;&nbsp;
                    <lightning-button label="Enregistrer" variant="brand" onclick={handelsave}></lightning-button>
                </footer>
            </div>
        </section>
        <div class="slds-backdrop slds-backdrop_open"></div>
    </div>
    </template>

<table class="recherche"><tbody><tr><th>
  <!-- bouton recherche par nom du projet -->
    <p><lightning-formatted-text value="Nom Projet:" class="t_nomprojet" ></lightning-formatted-text></p>

  </th>
<th>
  <div onkeyup={handleKeyUp} class="rechnom">

    <lightning-input
        name="enter-search"
        label=" "
        type="search"></lightning-input>
</div>
<p if:true={queryTerm}>
    Searched for {queryTerm}!
</p>
</th>
<th>
  <p class="categorie">
  <lightning-formatted-text value="Catégories:" class="t_categorie" ></lightning-formatted-text></p>

</th>
<th>
<!-- bouton recherche par categorie -->

<div onkeyup={handleKeyUp} class="rechcategorie">
<lightning-input
    name="enter-search"
    label=" "
    type="search" 
></lightning-input>
</div>
<p if:true={queryTerm}>
Searched for {queryTerm}!
</p>
</th>
<th>
    <!-- bouton recherche par etat -->

  <p class="etat"><lightning-formatted-text value="État:" class="t_etat"></lightning-formatted-text></p>

</th>
<th>
  <div onkeyup={handleKeyUp} class="recherche_etat">
    <lightning-input
        name="enter-search"
        label=" "
        type="search" 
    ></lightning-input>
</div>
<p if:true={queryTerm}>
    Searched for {queryTerm}!
</p>

</th>
</tr>
</tbody></table>
</template>